#!/bin/sh
# smart-urpmi 1.22 by Dieter Schuetze
# dieter at d-schuetze.de
# Lizenz: GPL
# script vom 15.12.2007 12:32
# ausführbar machen (chmod +x) und starten

if [ `/usr/bin/whoami` != "root" ]
then
	clear
	echo -e "\033[1mBitte root Kennwort eingeben\033[0m";
	su -c './smarturpmi.sh'
fi
if [ `/usr/bin/whoami` = 'root' ]
then
	let "loop=0"
	while test $loop == 0
	do
		clear
		echo -e "          \033[1msmart-urpmi 1.22 by Dieter Schuetze\033[0m"
		echo ""
		echo "			Bitte wähle eine Option"
		echo " --------------------------------------------------------"
		echo -e " \033[1ma\033[0m = Vollautomatisch"
		echo -e " \033[1mb\033[0m = Benutzergesteuert"
		echo -e " \033[1mh\033[0m = Hilfe"
		echo " --------------------------------------------------------"
		echo -e " \033[1me\033[0m = Ende"
		echo "Auswahl ?)"
		read -s -n1 -p '' choice;
		case $choice in
		E | e)
			let 'loop=1'
			;;
		A | a)
			echo -e "Sollen die vorhandenen Paketlisten gelöscht werden ? [\033[1mj\033[0ma/\033[1mn\033[0mein ]"
			read -s -n1 -p '' key;
			case $key in
			  J | j)
				echo -e "\033[1mEinen Moment, ich entferne die vorhandenen Listen\033[0m"
				/usr/sbin/urpmi.removemedia -a;;
		esac
		echo -e "\033[1mIch hole jetzt die ausgewählten Paketlisten\033[0m"
/usr/sbin/urpmi.addmedia 2007main_release ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/main/release/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia 2007contrib_release ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/contrib/release/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-free_release ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/free/release/binary/i586/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-nonfree_release ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/non-free/release/binary/i586/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007mud-free_release ftp://ftp.mandrivauser.de/rpm/GPL/2007.0/i586/RPMS/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007main_updates ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/main/updates/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007contrib_updates ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/contrib/updates/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007main_backports ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/main/backports/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007contrib_backports ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/contrib/backports/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-free_backports ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/free/backports/binary/i586/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-nonfree_backports ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/non-free/backports/binary/i586/ with synthesis.hdlist.cz

		echo -e "\033[1mIch versuche Ihr System zu aktualisieren\033[0m"
		/usr/sbin/urpmi --auto-select --auto --force
		let 'loop=1'
		;;
		B | b)
                 echo -e "Sollen die vorhandenen Paketlisten gelöscht werden ? [\033[1mj\033[0ma/\033[1mn\033[0mein ]"
                 read -s -n1 -p '' key;
                 case $key in
                         J | j)
                         echo -e "\033[1mEinen Moment, ich entferne die vorhandenen Listen\033[0m"
                         /usr/sbin/urpmi.removemedia -a;;
         esac
         echo -e "\033[1mIch hole jetzt die ausgewählten Paketlisten\033[0m"
/usr/sbin/urpmi.addmedia 2007main_release ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/main/release/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia 2007contrib_release ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/contrib/release/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-free_release ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/free/release/binary/i586/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-nonfree_release ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/non-free/release/binary/i586/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007mud-free_release ftp://ftp.mandrivauser.de/rpm/GPL/2007.0/i586/RPMS/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007main_updates ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/main/updates/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007contrib_updates ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/contrib/updates/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007main_backports ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/main/backports/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007contrib_backports ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrivalinux/official/2007.0/i586/media/contrib/backports/ with media_info/synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-free_backports ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/free/backports/binary/i586/ with synthesis.hdlist.cz
/usr/sbin/urpmi.addmedia --update 2007plf-nonfree_backports ftp://gsa10.eps.cdf.udc.es/plf/mandriva/2007.0/non-free/backports/binary/i586/ with synthesis.hdlist.cz

		echo -e "\x0a"
		echo -e "Soll ich einen Test auf aktualisierte Pakete durchführen ? [\033[1mj\033[0ma/\033[1mn\033[0mein ]"
         read -s -n1 -p '' key;
         case $key in
               	J | j)
			echo -e "\033[1mEinen Moment, ich teste die Installation\033[0m"
                /usr/sbin/urpmi --auto-select --test;;
  	esac
         echo -e "\x0a"
		echo -e "Soll ich jetzt das System aktualisieren ? [\033[1mj\033[0ma/\033[1mn\033[0mein ]"
		read -s -n1 -p '' key;
		case $key in
			J | j)
			echo -e "\033[1mIch versuche Ihr System zu aktualisieren\033[0m"
			/usr/sbin/urpmi --auto-select --auto
			let 'loop=1'
			;;
			N | n)
			let 'loop=1'
			;;
		esac
		;;
	H | h)
		clear
		echo -e "                 \033[1msmart-urpmi Hilfe\033[0m"
         echo "Bei der vollautomatischen Auswahl, findet nur eine Abfrage statt."
         echo "Bei dieser kann ausgewählt werden, wie mit den derzeit auf dem"
		echo "System befindlichen Paketlisten verfahren werden soll."
         echo -e "\033[1mAchtung\033[0m, jeder Zweigname darf nur einmal vorkommen."
         echo "Sollen mehrere Quellen mit dem gleichen Zweig eingebunden werden,"
         echo "ist in der smart-urpmi Weboberfläche ein Prefix anzugeben."
         echo ""
         echo "Bei der interaktiven Auswahl wird jeder Schritt abgefragt"
         echo ""
         echo -e "\033[1mTaste = zurück zum Menü\033[0m"
         read -s -n1 -p '' dummy;
         ;;
	esac
 done
echo -e "\033[1mDanke für die Verwendung von smart-urpmi\033[0m"
tput sgr0
fi
exit 0
